function [v,size_of_img,grid_size] = MLS_getPoints(img1,stepX,stepY)
%UNTITLED5 Summary of this function goes here
%   Detailed explanation goes here

% inconsistent coordinate system - world standard seems to be:
% +--------> x,i=width
% |
% |
% |
% V y,j=height
[imh,imw,rgb]=size(img1);
v=[];
for i = 1:stepX:imw+stepX
    
    if i >= imw; i = imw; end   
    
    for j = 1:stepY:imh+stepY 
%         if (j == 1) && (i==1); continue;end % skip the [1,1] point (already created)
        if j >= imh; j = imh; end % hit the end row of column
        v = [v;[j,i]] ;           % append the eval point
        if j == imh; break;end    % next colimn
    end
    
    if i == imw; break;end        % end after last columm 
end
size_of_img = [imh,imw];
grid_size = [stepY,stepX];
end
